### Function

# GExiv2 log_set_handler

#### Declaration [src]

    void
    gexiv2_log_set_handler (
      GExiv2LogHandler handler
    )

#### Description [src]

Replace the default handler with a custom log handler.

This method is not thread-safe. It’s best to set this before beginning to use gexiv2.

This function is not directly available to language bindings.

#### Parameters

`handler`

  Type: `GExiv2LogHandler`

  A `GExiv2LogHandler` callback to begin receiving log messages from Exiv2 and gexiv2.